---
title: "Get instruments"
url: https://docs.truemarkets.co/api/institutional/get-instruments-cefi
description: "Query for instruments available on the exchange by specific instrument ID or symbol. If no query parameters are supplied than ALL available instruments will be returned."
---

Docs index: https://docs.truemarkets.co/llms.txt

# Get instruments

Query for instruments available on the exchange by specific instrument ID or symbol.  If no query parameters are supplied than ALL available instruments will be returned.

## Request

```
GET https://api.truex.co/v1/cefi/instruments
```

### Parameters

| Name | In | Type | Required | Description |
| --- | --- | --- | --- | --- |
| `id` | query | string | no | ID of instrument to query for. |
| `symbol` | query | string | no | Filters instruments by symbol. Returns instruments where the symbol is an exact match or contains the provided substring. Matching is case-sensitive. |

## Responses

Every error status returns the same body, described in [Errors](https://docs.truemarkets.co/developer-resources/errors.md).

### 200

Successful operation.

| Field | Type | Required | Description |
| --- | --- | --- | --- |
| `[].id` | string | no | Exchange assigned ID of the instrument. |
| `[].status` | string, one of `INVALID`, `DISABLED`, `OPENING`, `ACTIVE`, `HALTED` | no | Current instrument state. INVALID indicates the requested instrument ID does not exist. |
| `[].info` | object | no |  |
| `[].info.symbol` | string | no | Human readable representation of the instrument. |
| `[].info.reference_price` | string | no | Price used for initial price limit/band calcuations. |
| `[].info.base_asset_id` | string | no | ID of the base asset. |
| `[].info.quote_asset_id` | string | no | ID of the quote asset. |
| `[].info.price_limit_window_secs` | string | no | Number of seconds in the price limit's sliding window. |
| `[].info.price_limit_percent` | string | no | Specifies the percentage threshold for price movement beyond a reference price (e.g., the midpoint or previous close) at which the exchange will take action. If the price of a trade or order breaches this threshold, the exchange may halt trading, trigger a circuit breaker, or initiate other predefined actions to ensure market stability. |
| `[].info.price_bands_percent` | string | no | Defines the acceptable price range for order validation within the market. The price bands ensure that orders are priced within a range around the market's midpoint, adjusted for increments and thresholds. |
| `[].stats` | object | no |  |
| `[].stats.last_24hr_notional` | string | no | The notional (quantity * price) amount of REFERENCE_ASSET traded over the last 24hr period. |
| `[].stats.last_24hr_quantity` | string | no | The quantity traded over the last 24 hour period. |

### 400

Bad request.

### 500

Internal server error.

### 503

Service unavailable.
